### Name: MCMCpoissonChangepoint
### Title: Markov Chain Monte Carlo for a Poisson Multiple Changepoint
###   Model
### Aliases: MCMCpoissonChangepoint
### Keywords: models

### ** Examples

    ## Not run: 
##D     set.seed(1973)
##D     n           <-  100
##D     true.lambda <-  c(5, 8)
##D     y1          <-  rpois(n/2, true.lambda[1])
##D     y2          <-  rpois(n/2, true.lambda[2])
##D     y           <-  c(y1, y2)
##D 
##D     model1 <-  MCMCpoissonChangepoint(y, m=1, c0=6.85, d0=1, verbose = 10000, marginal.likelihood = "Chib95")
##D     model2 <-  MCMCpoissonChangepoint(y, m=2, c0=6.85, d0=1, verbose = 10000, marginal.likelihood = "Chib95")
##D     model3 <-  MCMCpoissonChangepoint(y, m=3, c0=6.85, d0=1, verbose = 10000, marginal.likelihood = "Chib95")
##D     model4 <-  MCMCpoissonChangepoint(y, m=4, c0=6.85, d0=1, verbose = 10000, marginal.likelihood = "Chib95")
##D     model5 <-  MCMCpoissonChangepoint(y, m=5, c0=6.85, d0=1, verbose = 10000, marginal.likelihood = "Chib95")
##D 
##D     print(BayesFactor(model1, model2, model3, model4, model5))
##D 
##D     ## Draw plots using the "right" model
##D     plotState(model1)
##D     plotChangepoint(model1)
##D     
## End(Not run)



